Skip to content

Get booking receiver details

GET
/api/v5/bookings/{id}/receiver

Returns the receiver (delivery) address for a booking owned by the authenticated member. Requires an API key. Returns 400 when the booking has no receiver address.

id
required
string
/^\d+$/
Example
623630

Numeric booking ID.

Booking receiver

object
receiver
required

Receiver (delivery) address for the booking.

object
id
required

Address identifier.

number
address
required

Street address line.

string
nullable
company_name
required

Company/business name at this address.

string
nullable
email
required

Contact email for this party.

string
nullable
name
required

Contact person name at this address.

string
nullable
postcode
required

4-digit AU postcode (or destination postcode for international).

string
nullable
phone
required

Contact phone number.

string
nullable
state
required

State code (e.g. NSW, VIC).

string
nullable
suburb
required

Suburb/locality.

string
nullable
type
required

Address type, “business” or “residential”.

string
nullable
country
required

2-letter ISO country code (e.g. AU).

string
nullable

Receiver address missing

Missing or invalid API key

Booking not found